using System;
using System.Drawing;

namespace BlockEngine
{
	public static class Maths
	{
		/// <summary>
		/// Gives a random number between 0 and max.
		/// </summary>
		/// <param name='seed'>
		/// Seed.
		/// </param>
		/// <param name='max'>
		/// Max.
		/// </param>
		public static int Random(int seed, int max)
		{
			int temp = 0;
			temp = seed * seed / max;
			while (temp > max)
			{
				temp /= max;
			}
			temp += (seed * max) / (seed-(seed/max));
			if (temp > max)
			{
				temp -= (max * (temp+max));
			}
			return temp;
		}
		
		/// <summary>
		/// Converts a System.Drawing.Color to RGBA
		/// </summary>
		/// <returns>
		/// The RGBA
		/// </returns>
		/// <param name='c'>
		/// The System.Drawing.Color to convert to RGBA
		/// </param>
		public static int ColorToRGBA(Color c)
		{
			return (int)((c.A >> 24) | (c.B >> 16) | (c.G >> 8) | c.R);
		}
	}
}

